Bug 461328 - WARNING: at kernel/power/main.c:176 suspend_test_finish+0x53/0x5a() (Not tainted)
WARNING: at kernel/power/main.c:176 suspend_test_finish+0x53/0x5a() (Not tain...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 17:57 EDT by Dhaval Giani
Modified: 2009-05-01 15:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 15:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhaval Giani 2008-09-05 17:57:04 EDT
Description of problem:
suspend resume cycle

Version-Release number of selected component (if applicable):
[dhaval@mordor ~]$ uname -r
2.6.27-0.297.rc5.git2.fc10.i686
[dhaval@mordor ~]$ 

PM: resume devices took 5.283 seconds
------------[ cut here ]------------
WARNING: at kernel/power/main.c:176 suspend_test_finish+0x53/0x5a() (Not tainted)
Modules linked in: bnep nls_utf8 i915 drm ipt_MASQUERADE iptable_nat nf_nat bridge stp rfcomm l2cap bluetooth ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi autofs4 fuse sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables xt_tcpudp ip6t_REJECT nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_mirror dm_log dm_multipath dm_mod kvm_intel kvm snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq ppdev snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm iTCO_wdt snd_timer iTCO_vendor_support snd_page_alloc snd_hwdep snd sr_mod soundcore parport_pc e1000e cdrom parport pcspkr i2c_i801 i2c_core floppy pata_acpi ata_generic ata_piix ext3 jbd mbcache [last unloaded: microcode]
Pid: 3701, comm: pm-suspend Not tainted 2.6.27-0.297.rc5.git2.fc10.i686 #1
 [<c06930e4>] ? printk+0x14/0x18
 [<c042da11>] warn_on_slowpath+0x4c/0x7d
 [<c044b0d6>] ? trace_hardirqs_off_caller+0x15/0x91
 [<c044b15d>] ? trace_hardirqs_off+0xb/0xd
 [<c06953a6>] ? _spin_unlock_irqrestore+0x3e/0x55
 [<c051db41>] ? _raw_spin_unlock+0x74/0x78
 [<c06953df>] ? _spin_unlock+0x22/0x25
 [<c044bce1>] ? mark_held_locks+0x53/0x6a
 [<c044bea4>] ? trace_hardirqs_on+0xb/0xd
 [<c044be78>] ? trace_hardirqs_on_caller+0xf9/0x11a
 [<c044bea4>] ? trace_hardirqs_on+0xb/0xd
 [<c06930e4>] ? printk+0x14/0x18
 [<c0455b65>] suspend_test_finish+0x53/0x5a
 [<c0455d1f>] suspend_devices_and_enter+0x181/0x1b7
 [<c0455ea5>] enter_state+0x126/0x181
 [<c0455f94>] state_store+0x94/0xa7
 [<c0455f00>] ? state_store+0x0/0xa7
 [<c0515c99>] kobj_attr_store+0x1a/0x22
 [<c04db3d2>] sysfs_write_file+0xbe/0xe9
 [<c04db314>] ? sysfs_write_file+0x0/0xe9
 [<c049e061>] vfs_write+0x89/0xe4
 [<c049e15f>] sys_write+0x40/0x65
 [<c0404d02>] syscall_call+0x7/0xb
 =======================
---[ end trace 9f3f881fd320107a ]---
PM: Finishing wakeup.

Let me know what additional information is needed.
Comment 1 Christopher D. Stover 2008-11-02 16:32:59 EST
Are you still experiencing this problem with newer kernels?
Comment 2 Bug Zapper 2008-11-25 21:58:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dhaval Giani 2009-05-01 15:19:56 EDT
I have somehow missed responding to this report. I don't see this happen. Will cloes the bug

Note You need to log in before you can comment on or make changes to this bug.